Package org.gradle.api.artifacts.component

# Interface LibraryBinaryIdentifier

All Superinterfaces:
  `ComponentIdentifier`

public interface LibraryBinaryIdentifier extends ComponentIdentifier
An identifier for a library instance that is built as part of the current build.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLibraryName()`
  The name of the library
  `String`
  `getProjectPath()`
  The project path of the library.
  `String`
  `getVariant()`
  The variant of the library.

  ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentIdentifier

  `getDisplayName`

- ## Method Details

  - ### getProjectPath

    String getProjectPath()
    The project path of the library.
    Returns:
      The project path of the library.

  - ### getLibraryName

    String getLibraryName()
    The name of the library
    Returns:
      the name of the library

  - ### getVariant

    String getVariant()
    The variant of the library.
    Returns:
      the variant identifier of the library.